# MCP Tools Reference: compute.googleapis.com

## Tool: `get_disk_performance_config`

Get performance configuration of a Compute Engine disk, including its type, size, provisioned IOPS, provisioned throughput, physical block size, storage pool and access mode. Requires project, zone, and disk name as input.

The following sample demonstrate how to use `curl` to invoke the `get_disk_performance_config` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://compute.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_disk_performance_config", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for getting disk performance configuration.

### McpGetDiskPerformanceConfigRequest

| JSON representation |
|---|
| ``` { "project": string, "zone": string, "name": string } ``` |

| Fields ||
|---|---|
| `project` | `string` Required. Project ID for this request. |
| `zone` | `string` Required. The zone of the disk. |
| `name` | `string` Required. Identifier. The disk name. |

## Output Schema

Performance configuration of a disk.

### DiskPerformanceConfig

| JSON representation |
|---|
| ``` { "type": string, "sizeGb": string, "provisionedIops": string, "provisionedThroughput": string, "physicalBlockSizeBytes": string, "storagePool": string, "accessMode": enum (`AccessMode`) } ``` |

| Fields ||
|---|---|
| `type` | `string` URL of the disk type resource. |
| `sizeGb` | `string (https://developers.google.com/discovery/v1/type-format format)` Size of the disk in GB. |
| `provisionedIops` | `string (https://developers.google.com/discovery/v1/type-format format)` Indicates how many IOPS to provision for the disk. This sets the number of I/O operations per second that the disk can handle. |
| `provisionedThroughput` | `string (https://developers.google.com/discovery/v1/type-format format)` Indicates how much throughput to provision for the disk. This sets the number of throughput mb per second that the disk can handle. |
| `physicalBlockSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Physical block size of the persistent disk, in bytes. |
| `storagePool` | `string` The storage pool of the disk. |
| `accessMode` | ``enum (`AccessMode`)`` The access mode of the disk. |

### Tool Annotations

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌